#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b,k=0,index=0;
    cin>>a>>b;
    int arr[b];
    vector<int> v;
    for(int i=0;i<b;i++)
    {
        cin>>arr[i];
    }
    for(int i=0;i<b;i++)
    {
        index=i;
        int cnt=0,m=0;
        for(int j=index;j<b;j++)
        {
            if(arr[i]==arr[j])
                cnt++;
            if(cnt>=a){
                for(int l=0;l<v.size();l++)
                {
                    if(v[l]==arr[j])
                    {
                       m=1;
                       break;
                    }
                }
                if(!m){
                    v.push_back(arr[j]),k++;
                    break;
                }
            }
        }
    }
    cout<<k<<endl;
    for(int i=0;i<v.size();i++)
    {
        cout<<v[i]<<' ';
    }
}
